Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get message reservation

Prev Next

Available in Classic and VPC

Cancel the reserved message delivery.

Request

This section describes the request format. The method and URI are as follows:

Method URI
DELETE /alimtalk/v2/services/{serviceId}/reservations/{reserveId}

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required Biz Message service ID
reserveId String Required Reservation request ID
  • Enter the request ID (requestId) returned upon sending message.

Request example

The request example is as follows:

curl --location --request DELETE 'https://sens.apigw.ntruss.com/alimtalk/v2/services/ncp:kkobizmsg:kr:27*********6:sens/reservations/RBAA-*************-****-********-ERsezZLD' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' 

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

If the response is successful, the reservation is canceled along with the message 204 No Content.